Package com.smartgwt.client.ai

# Class CreateDashboardComponentDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.CreateDashboardComponentDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class CreateDashboardComponentDataQuestionStep extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateDashboardComponentDataQuestionStep()`
  `CreateDashboardComponentDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentType()`
  `String`
  `getDescription()`
  `static CreateDashboardComponentDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  The value CREATE_DASHBOARD_COMPONENT.
  `CreateDashboardComponentDataQuestionStep`
  `setComponentType(String componentType)`
  `CreateDashboardComponentDataQuestionStep`
  `setDescription(String description)`
  `CreateDashboardComponentDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value CREATE_DASHBOARD_COMPONENT.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateDashboardComponentDataQuestionStep

    public CreateDashboardComponentDataQuestionStep()

  - ### CreateDashboardComponentDataQuestionStep

    public CreateDashboardComponentDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static CreateDashboardComponentDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setComponentType

    public CreateDashboardComponentDataQuestionStep setComponentType(String componentType)
    Parameters:
      `componentType` - New componentType value. Default value is *specified via AI*
    Returns:
      `CreateDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getComponentType

    public String getComponentType()
    Returns:
      Current componentType value. Default value is *specified via AI*

  - ### setDescription

    public CreateDashboardComponentDataQuestionStep setDescription(String description)
    Parameters:
      `description` - New description value. Default value is *specified via AI*
    Returns:
      `CreateDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getDescription

    public String getDescription()
    Returns:
      Current description value. Default value is *specified via AI*

  - ### setType

    public CreateDashboardComponentDataQuestionStep setType(DataQuestionStepType type)
    The value CREATE_DASHBOARD_COMPONENT.
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `CreateDashboardComponentDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value CREATE_DASHBOARD_COMPONENT.
    Returns:
      Current type value. Default value is null